destroyed = 0
SpellLevel = 0
Rank = 0
encountered = 0

function onDeployStart()
    SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
	AddTimer(0.2, story)
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
end

function story()
    ShowDialogEternal("Portraits/Guard_talkinghead","There are patrols near this fort. Perhaps striking once they've passed will make this easier!")
	AddTimer(7, startgame)
end

function startgame()
    HideDialog()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

-- level starts, remove timer and cinematics, show instructional message, spawn initial set up spells
function onLevelStart()
	SetTriggerCallbacks("walk1a", walk1a_onTriggerEnter)
	SetTriggerCallbacks("walk1b", walk1b_onTriggerEnter)
	SetTriggerCallbacks("walk2a", walk2a_onTriggerEnter)
	SetTriggerCallbacks("walk2b", walk2b_onTriggerEnter)
	SetTriggerCallbacks("start", start_onTriggerEnter)
	SetTriggerCallbacks("trap", trap1_onTriggerEnter)
end

function start_onTriggerEnter(unit)
	if unit.attacker then
		AddTimer(2,patrol1)
		if encountered == 0 then
		    AddTimer(20,patrol2)
		end
		if encountered == 1 then
		    AddTimer(2,attacktarget)
		end
	end
end

function patrol1()
	GiveNamedUnitMoveOrder("walk1", "walk1b")
	GiveNamedUnitMoveOrder("walk2", "walk1a")
	GiveNamedUnitMoveOrder("walk3", "walk2b")
	GiveNamedUnitMoveOrder("walk4", "walk2a")
	--AddTimer(20,patrol2)
end
function patrol2()
	GiveNamedUnitMoveOrder("walk1", "walk1a")
	GiveNamedUnitMoveOrder("walk2", "walk1b")
	GiveNamedUnitMoveOrder("walk3", "walk2a")
	GiveNamedUnitMoveOrder("walk4", "walk2b")
	--AddTimer(20,patrol1)
end
function attacktarget()
	GiveNamedUnitMoveOrder("walk1", "attack")
	GiveNamedUnitMoveOrder("walk2", "attack")
	GiveNamedUnitMoveOrder("walk3", "attack")
	GiveNamedUnitMoveOrder("walk4", "attack")
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
        encountered = encountered + 1
		DisableTrigger("trap")
	end
end

function onUnitDestroyed(unit)
	if unit.walk1 then
		destroyed = destroyed + 1
		if destroyed == 1 then
		    SpawnUnits("ambush1",Army)
		end
	end
end

function onUnitDestroyed(unit)
	if unit.walk3 then
		destroyed = destroyed + 1
		if destroyed == 1 then
		    SpawnUnits("ambush2",Army)
		end
	end
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 8 then
		    AddTimer(2,winner)
		end
	end
end

function winner()
    SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
        SpawnUnits("walk1",Army)
		SpawnUnits("walk2",Army)
		SpawnUnits("walk3",Army)
		SpawnUnits("walk4",Army)
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("walk1",Army)
		SpawnUnits("walk2",Army)
		SpawnUnits("walk3",Army)
		SpawnUnits("walk4",Army)
		SpawnUnits("ambush1",Army)
		SpawnUnits("ambush2",Army)

	end
end










