SpellLevel = 0
Army = 0


function onDeployStart()
	createStartingTroops(False)  -- This part here
	ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP9B1_1")
		
end

function onLevelStart()
	SetDisplayTimer(300, 0) -- set battle timer for 6 minutes
	SetTriggerCallbacks("alert1", alert1_onTriggerEnter, alert1_onTriggerLeave)
	SetTriggerCallbacks("ambush1", ambush1_onTriggerEnter, ambush1_onTriggerLeave)
	SetTriggerCallbacks("ambush2", ambush2_onTriggerEnter, ambush2_onTriggerLeave)
	SetTriggerCallbacks("objective", objective_onTriggerEnter, objective_onTriggerLeave)
	SetWinnable(false)
	SetVictoryBarEnabled(false)
end

function alert1_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("alert1")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP9B1_ALERT")
	end	
end

function ambush1_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("ambush1")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP9B1_2")
		SpawnUnits("spawn1")
	end	
end

function ambush2_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("ambush2")
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP9B1_3")
		SpawnUnits("spawn2")
	end	
end

function objective_onTriggerEnter(unit)
	if unit.attacker then
		DisableTrigger("objective")	
		PlayVFX("PA_SpawnReinforcement", "impact1")
		PlayVFX("PA_SpawnReinforcement", "impact2")
		PlayVFX("PA_SpawnReinforcement", "impact3")
		AddTimer(2.0, spawnme)
		ShowDialog("Portraits/Guard_talkinghead","TXT_POPDES_CAMP9B1_4")
	end	
end

function createStartingTroops(forPlinthInspector)

	if forPlinthInspector then
		SpawnUnits("spawn1")
		SpawnUnits("spawn2")
		SpawnUnits("spawn3")
	end
end

function spawnme()
	SpawnUnits("spawn3")
		SetWinnable(true)
end

