destroyed = 0
SpellLevel = 0
Army = 0
Rank = 0

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
    ShowDialog("Portraits/dip_elithen_talkinghead", "TXT_CAMPAIGN_ELITHEN_3_6_1")
	SetMultipleUnitSelectionButtonEnabled(false)
	SetStandGuardButtonEnabled(false)
	SetAutoOrdersButtonEnabled(false)
	SetFightButtonEnabled(false)
	AddTimer(4.5,startgame)
	SetTriggerCallbacks("trap", trap_onTriggerEnter, trap_onTriggerLeave)
end

function startgame()
	SetMultipleUnitSelectionButtonEnabled(true)
	SetStandGuardButtonEnabled(true)
	SetAutoOrdersButtonEnabled(true)
	SetFightButtonEnabled(true)
end

function onLevelStart()
	
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
	    PlayVFX("ElderStone_EnergyPropStones", "portal")
		ShowDialog("Portraits/Guard_talkinghead", "TXT_CAMPAIGN_ELITHEN_3_6_2")
		AddTimer(2, incoming)
		DisableTrigger("trap")
	end
end

function incoming()
		PlayVFX("PA_SpawnReinforcement", "titan")
		AddTimer(1.0, titan)
end

function titan()
    SpawnUnits("starttitan",Army1)
	SpawnUnits("start1",Army)
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 5 then
	    SpawnUnits("start2",Army)
		end
		if destroyed == 9 then
		    AddTimer(6,ending)
			StopVFX("ElderStone_EnergyPropStones", "portal")
		end
	end
end

function ending()
    HideDialog()
    SetWinnable(true)
end

function createStartingTroops(forPlinthInspector)
Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 7 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
	    end
	
	SpawnUnits("start",Army)
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army)
		SpawnUnits("start2",Army)
		SpawnUnits("starttitan",Army1)
	end
end










