destroyed = 0
SpellLevel = 0
Rank = 0

function onDeployStart()
	SetWinnable(false)															-- no enemies start in the mission, win set to false
	createStartingTroops(False)
end

function onLevelStart()
	SetTriggerCallbacks("trap", trap_onTriggerEnter)
	SetTriggerCallbacks("alarm", alarm_onTriggerEnter)
	SetTriggerCallbacks("alarm1", alarm1_onTriggerEnter)
end

function trap_onTriggerEnter(unit)
	if unit.attacker then
		GiveNamedUnitMoveOrder("startAlert", "alert") 
		DisableTrigger("trap")
		AddTimer(11, warning)
	end
end

function warning()
    ShowDialog("Portraits/Guard_talkinghead","TXT_CAMPAIGN_RAGNAR_2_7_1")
end

function alarm_onTriggerEnter(unit)
	if unit.defender then
		--GiveNamedUnitMoveOrder("startAlert", "alert1")
		spawn()
		--charge()
		DisableTrigger("alarm")
	end
end

function spawn()
	PlayVFX("PA_SpawnReinforcement", "spawn")
	AddTimer(1, spawnunit)
end
function spawnunit()
	SpawnUnits("start2",Army)
	GiveNamedUnitMoveOrder("startAlert", "alert1")
end

function alarm1_onTriggerEnter(unit)
	if unit.defender then
		spawn1()
		DisableTrigger("alarm1")
	end
end

function spawn1()
	PlayVFX("PA_SpawnReinforcement", "spawn1")
	AddTimer(1, spawnunit1)
end
function spawnunit1()
	SpawnUnits("start1",Army)
	GiveNamedUnitMoveOrder("startAlert", "charge")
end

function onUnitDestroyed(unit)
	if unit.defender then
		destroyed = destroyed + 1
		if destroyed == 7 then
			SetWinnable(true)
		end
	end
end

function createStartingTroops(forPlinthInspector)
	Rank = GetPlayerCastleLevel()					-- Could this work as a scaling LUA function if levels ever went above 25 then this wouldnt need changing
		if Rank >= 6 then
			SpellLevel = Rank -2
			Army = Rank -2
			Army1 = Rank -1
			Army2 = Rank
	    end
	SpawnUnits("start",Army)
	SpawnUnits("startAlert",Army)
		-- For plinth inspector, we want the later waves too
	if forPlinthInspector then
		SpawnUnits("start",Army)
		SpawnUnits("start1",Army)
		SpawnUnits("start2",Army)
		SpawnUnits("startAlert",Army)
	end
end










